OpenVDB: TreeAdapter< tree::ValueAccessor< _TreeType > > Struct Template Reference

OpenVDB 9.1.0

Public Types | Static Public Member Functions | List of all members
TreeAdapter< tree::ValueAccessor< _TreeType > > Struct Template Reference

Partial specialization for ValueAccessor types. More...

`#include <openvdb/Grid.h>`

## Public Types
using | TreeType = _TreeType
using | NonConstTreeType = typename std::remove_const< TreeType >::type
using | TreePtrType = typename TreeType::Ptr
using | ConstTreePtrType = typename TreeType::ConstPtr
using | NonConstTreePtrType = typename NonConstTreeType::Ptr
using | GridType = Grid< TreeType >
using | NonConstGridType = Grid< NonConstTreeType >
using | GridPtrType = typename GridType::Ptr
using | NonConstGridPtrType = typename NonConstGridType::Ptr
using | ConstGridPtrType = typename GridType::ConstPtr
using | ValueType = typename TreeType::ValueType
using | AccessorType = typename tree::ValueAccessor< TreeType >
using | ConstAccessorType = typename tree::ValueAccessor< const TreeType >
using | NonConstAccessorType = typename tree::ValueAccessor< NonConstTreeType >

## Static Public Member Functions
static TreeType & | tree (TreeType &t)
static TreeType & | tree (GridType &g)
static TreeType & | tree (AccessorType &a)
static const TreeType & | tree (const TreeType &t)
static const TreeType & | tree (const GridType &g)
static const TreeType & | tree (const AccessorType &a)
static const TreeType & | constTree (TreeType &t)
static const TreeType & | constTree (GridType &g)
static const TreeType & | constTree (const TreeType &t)
static const TreeType & | constTree (const GridType &g)

## Detailed Description

template<typename _TreeType>
struct openvdb::v9_1::TreeAdapter< tree::ValueAccessor< _TreeType > >

Partial specialization for ValueAccessor types.

## Member Typedef Documentation

## ◆ AccessorType

using AccessorType = typename tree::ValueAccessor<TreeType>

## ◆ ConstAccessorType

using ConstAccessorType = typename tree::ValueAccessor<const TreeType>

## ◆ ConstGridPtrType

using ConstGridPtrType = typename GridType::ConstPtr

## ◆ ConstTreePtrType

using ConstTreePtrType = typename TreeType::ConstPtr

## ◆ GridPtrType

using GridPtrType = typename GridType::Ptr

## ◆ GridType

using GridType = Grid<TreeType>

## ◆ NonConstAccessorType

using NonConstAccessorType = typename tree::ValueAccessor<NonConstTreeType>

## ◆ NonConstGridPtrType

using NonConstGridPtrType = typename NonConstGridType::Ptr

## ◆ NonConstGridType

using NonConstGridType = Grid<NonConstTreeType>

## ◆ NonConstTreePtrType

using NonConstTreePtrType = typename NonConstTreeType::Ptr

## ◆ NonConstTreeType

using NonConstTreeType = typename std::remove_const<TreeType>::type

## ◆ TreePtrType

using TreePtrType = typename TreeType::Ptr

## ◆ TreeType

using TreeType = _TreeType

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Member Function Documentation

## ◆ constTree() [1/4]

static const TreeType & constTree | ( | const GridType & | g | ) |
| inlinestatic

## ◆ constTree() [2/4]

static const TreeType & constTree | ( | const TreeType & | t | ) |
| inlinestatic

## ◆ constTree() [3/4]

static const TreeType & constTree | ( | GridType & | g | ) |
| inlinestatic

## ◆ constTree() [4/4]

static const TreeType & constTree | ( | TreeType & | t | ) |
| inlinestatic

## ◆ tree() [1/6]

static TreeType & tree | ( | AccessorType & | a | ) |
| inlinestatic

## ◆ tree() [2/6]

static const TreeType & tree | ( | const AccessorType & | a | ) |
| inlinestatic

## ◆ tree() [3/6]

static const TreeType & tree | ( | const GridType & | g | ) |
| inlinestatic

## ◆ tree() [4/6]

static const TreeType & tree | ( | const TreeType & | t | ) |
| inlinestatic

## ◆ tree() [5/6]

static TreeType & tree | ( | GridType & | g | ) |
| inlinestatic

## ◆ tree() [6/6]

static TreeType & tree | ( | TreeType & | t | ) |
| inlinestatic